/* This file is Copyright 2000 Level Control Systems.  See the included LICENSE.txt file for details. */  

#include <stdio.h>

#include "util/PortableString.h"
#include "util/NetworkUtilityFunctions.h"

#define TEST(x) if (!(x)) printf("Test failed, line %i\n",__LINE__)

// This program exercises the PortableString class.
void main(void) 
{
   printf("Ready?  I'm gonna start in 500ms!\n");
   Snooze64(500000);

   for (int i=0; i<10000; i++)
   {
      PortableString t("hello");
      t += "there";
      t += "dude";
      t += "what's up?";
      t = t.Substring(0,4);
      printf("t=[%s]\n", t.Cstr());
   }
}
